@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-Thin.ttf");
  font-weight: 100;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-ExtraLight.ttf");
  font-weight: 200;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-Light.ttf");
  font-weight: 300;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-Regular.ttf");
  font-weight: 400;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-Medium.ttf");
  font-weight: 500;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-SemiBold.ttf");
  font-weight: 600;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-Bold.ttf");
  font-weight: 700;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-ExtraBold.ttf");
  font-weight: 800;
}

@font-face {
  font-family: "Inter";
  src: url("--root/css/fonts/Inter/Inter-Black.ttf");
  font-weight: 900;
}

/**

    --rule pointing-bg [background-repeat: no-repeat; background-size: contain; cursor: pointer;]

    --rule default-text-block [        font-family: var(--font-family);        font-size: var(--font-text-size);        font-weight: var(--default-unbold-weight);        line-height: var(--default-line-height);    ]

    --rule default-radiused-border [border-radius: var(--default-border-radius); border: 1px solid var(--base-grey-100);]

    --rule no-padding-margin [ padding: 0;    margin: 0;]

    --rule top-left [ top: 0;   left: 0;]

    --rule full-size [width: 100%; height: 100%;]
   

    --rule header [font-family: var(--font-family); font-size: var(--header-font-size); font-weight: var(--default-bolder-weight);]
 */


:root {
    --bg-white: #fff;
    --base-grey-40: #e8e8e8;
    --box-shadow: 0px 8px 16px 0px rgba(3, 19, 50, 0.1);
    --padding-modal: 8px 24px 8px 16px;
    --modal-padding: 8px 8px 8px 16px;
    --common-padding: 12px 24px;
    --success-80: #33bc79;
    --button-font-size: 16px;
    --buttont-text-color: #fff;
    --button-background: #0f6ef6;
    --header-font-size: 20px;
    --base-grey-100: #c7c7c7;
    --default-border: 1px solid var(--base-grey-100);
    --default-border-radius: 4px;
    --default-text-size : 16px;
    --default-gap: 16px;
    --smaller-gap: 4px;
    --primary-color: #0f6ef6;
    --text-color-60: #666f82;
    --base-blue-40: #f1f8ff;
    --primary-80: #3f8bf8;
    --primary-100: #0f6ef6;
    --text-color-40: #979EAA;
    --default-text-padding: 8px 12px;
    --text-color-90: #232326;
    --text-color-100: #031332;
    --text-color-20: #c9ccd2;
    --additionally-100: #033fb4;
    --modal-shadow: 0px 8px 16px 0px rgba(3, 19, 50, 0.1);
    --base-grey-20: #F4F4F4;
    --default-icon-background-size: var(--default-icon-size) var(--default-icon-size);
    --default-icon-background-small-size: var(--default-icon-small-size) var(--default-icon-small-size);
    --default-icon-size: 24px;
    --default-icon-small-size: 16px;
    --tag-padding: 4px 12px;

    --default-line-height: 20px;
    --extra-line-height: 28px;


    --prompt-bg: rgba(3, 19, 50, 0.3);
    --modal-background: rgba(3, 19, 50, 0.3);

    --flex-center-text: {
        display: flex;
        justify-content: center;
        text-align: center;
    };


    --table-td-padding: 16px 24px;
    --input-color: #495057;
    --input-background: var(--bg-white);
    --font-family: 'Inter', sans-serif;
    --input-border: 1px solid #ced4da;
    --text-color-80: #34415a;
    --default-unbold-weight: 400;
    --default-bolder-weight: 500;
    --default-table-selection: #CFE2FD;
    --none: none !important;
    --header-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

body {
    background: var(--bg-grey);
    overflow: hidden;
}

* {
    box-sizing: border-box;
}

.inner_selector .container {
    display: flex;
}

.create-btn__modal {
    position: fixed;
    @rule top-left;
    @rule full-size;
    z-index: 10;
    justify-content: flex-end;
    display: none;
}

.modal-group {
    height: fit-content;
    position: absolute;
    min-width: 192px;
    /* padding: var(--common-padding); */

    @rule default-radiused-border;
    background: var(--bg-white, #fff);
    box-shadow: var(--modal-shadow);
    z-index: 1000;
}

.modal-item {
    padding: var(--modal-padding) !important;
}

.data_header__resize {
    @rule pointing-bg
    position: absolute;
    top: 14px;
    right: -9px;
    height: 20px;
    width: 20px;
    cursor: col-resize;
    background: url("--root/images/ArrowsOutLineHorizontal.svg");
    background-size: 20px 20px;
    z-index: 10;
}

.cell_header {
    padding: 0;
}

.data_header__content {
    padding: var(--common-padding);
    display: flex;
    align-items: center;
}

.create-btn__modal .modal-item {
    padding: var(--padding-modal) !important;
    width: auto;
}

.modal-text {
    opacity: 1 !important;
    text-align: left;
}

.active::after {
    content: "";
    position: absolute;
    bottom: 2px;
    right: 2px;
    width: 8px;
    height: 8px;
    background: var(--success-80, #33bc79);
    border-radius: 30%;
    border: 2px solid #fff;
    cursor: pointer;
}

.menu-item .active::after {
    display: none !important;
}

.page__header {
    display: flex;
    align-items: center;
    height: 44px;
}

#side_panel_toggle {
    display: none;
}

@media (max-width: 1024.02px) {
    .page__header {
        position: relative;
        padding-left: 48px;
    }

    #side_panel_toggle {
        display: block;
        content: '';
        position: absolute;
        left: 0;
        width: 24px !important;
        height: 24px !important;
        background-size: 24px 24px;
        background-position: center;
        background-repeat: no-repeat;
        background-image: url("--root/images/SidebarSimple.svg");
        z-index: 9999;
        cursor: pointer;
    }

    .side_pane_hidden_1024 {
        display: none !important;
    }
}

.page-title-wrapper {
    display: flex;
    height: 44px;
    align-items: center;
    gap: 8px;
}

.page__header div[data-cache="header-menu"], .page__header div:has( > .issue-person) {
    display: flex;
    align-items: center;
    margin-left: auto;
}

.wrapper .content_data {
    display: flex;
    flex-grow: 1;
    width: 100%;
}

.tabs_panel-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.issue,
.issue_status,
.issue_link_type,
.priority,
.issue_flow,
.story,
.story_status,
.story_flow,
.epic,
.epic_status,
.epic_flow,
.sprint,
.sprint_status,
.sprint_flow,
.project,
.project_status,
.project_version,
.project_flow,
.project_type,
.test_status, 
.checklist,
#dashboard-view,
.rhythmic_issue {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.issue {
    box-sizing: border-box;
    border-radius: 4px;
    border: 1px solid transparent;
}

.issue-btn {
    padding: var(--common-padding);
    border: 0;
    background: #0f6ef6;
    color: var(--bg-white, #fff);
    text-align: center;
    font-family: var(--font-family);
    font-size: var(--font-text-size);
    font-weight: var(--default-bolder-weight);
    line-height: 20px;
    cursor: pointer;
    margin-right: 16px;
    border-radius: var(--default-border-radius);
}

.issue-notice {
    width: 44px;
    height: 44px;
    align-items: center;
    display: flex;
    display: none;
    justify-content: center;
    @rule flex-center-text
}

.issue-person img {
    box-sizing: border-box;
    padding: 3px;
    @rule default-radiused-border;
    background: var(--bg-white);
    cursor: pointer;
    width: 44px;
    height: 44px;
}

.page-title {
    color: var(--text-color-80);
    font-family: var(--font-family);
    font-size: var(--header-font-size);
    font-weight: var(--default-bolder-weight);
    line-height: var(--extra-line-height);
    margin: 0px 0px 0px 8px;
}

.wrapper #tabs,
#box:has(.pg_table_container) {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    height: 100%;
}

#person-modal-out {
    background: url("--root/images/go-out-modal.svg");
}

.menu-item:hover #person-modal-out {
    background: url("--root/images/go-out-modal-hover.svg");
}

.menu-item:active #person-modal-out {
    background: url("--root/images/go-out-modal-active.svg");
}

#person-modal-settings {
    background: url("--root/images/Gear.svg");
}

.menu-item:hover #person-modal-settings {
    background: url("--root/images/Gear-hover.svg");
}

.menu-item:active #person-modal-settings {
    background: url("--root/images/Gear-active.svg");
}

#clean_cache {
    background: url("--root/images/database-delete.svg");
}

.menu-item:hover #clean_cache {
    background: url("--root/images/database-delete-hover.svg");
}

.menu-item:active #clean_cache {
    background: url("--root/images/database-delete-active.svg");
}

#person-modal-profile {
    background: url("--root/images/User.svg");
}

.menu-item:hover #person-modal-profile {
    background: url("--root/images/User-hover.svg");
}

.menu-item:active #person-modal-profile {
    background: url("--root/images/User-active.svg");
}

.menu-item:hover .dropbtn22 {
    background: url("--root/images/change-lang-hover.svg") no-repeat;
}

.menu-item:active .dropbtn22 {
    background: url("--root/images/change-lang-active.svg") no-repeat;
}


.wrapper {
    margin-top: 24px;
    padding: 24px;
    background: white;
    @rule default-radiused-border;
    background: var(--bg-white, #fff);
    box-shadow: var(--box-shadow);
    position: relative;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    max-height: calc(100vh - 132px);
    border: 1px solid var(--base-grey-40);
}

.header-menu-wrapper {
    display: flex;
    align-items: center;
}

.pointer {
    cursor: pointer;
}

.issue-panel {
    display: flex;
}

.issue-menu {
    display: flex;
    flex: 1 1 auto;
    justify-content: flex-end;
}

.issue-search {
    flex: 0 0 368px;

    background: url("--root/images/search-icon.svg") 12px;
    @rule pointing-bg;
    padding: 11px 0px 11px 40px;
    outline: none !important;

    @rule default-text-block;
    @rule default-radiused-border;
    color: var(--text-color-60, #666f82);
    margin-right: 24px;
}

.issue-tags {
    display: flex;
    margin-top: 16px;
}

.issue-tags-item {
    @rule default-radiused-border;
    padding: var(--tag-padding);

    @rule flex-center-text
    margin-right: 8px;
    transition: all easy-in-out 0.3s;
}

.issue-tags-item span {
    color: var(--text-color-80, #34415a);
    @rule default-text-block
    margin-right: 8px;
}

.issue-tags-item:last-child {
    margin-right: 0;
}

.issue-tags-item img {
    cursor: pointer;
}

.padding24left {
    padding-left: 24px;
}

.issue-table {
    display: grid;
    /* grid-template-columns: 80px 208px 568px 152px 108px 284px 72px; */
    grid-auto-flow: column;
}

.issue-table-wrapper {
    margin-top: 24px;
}

.issue #box {
    padding: 0;
    background: white;
}

.issue #box .title,
#box:has(.table_config) .title {
    display: none;
}

.td {
    padding: var(--table-td-padding)
}

#box_page_select {
    width: 70px;
    height: 36px;
    padding: 8px 12px;
    position: relative;
    background: url("--root/images/select.svg") 38px;
    @rule pointer-bg;
    opacity: 0;
    display: none;
}

.open-menu {
    background: white !important;
}

select {
    -moz-appearance: none; /* Firefox */
    -webkit-appearance: none; /* Safari and Chrome */
    appearance: none;
}

.sort_header {
    color: var(--text-color-60);
    line-height: 24px;
    @rule header
}

.wrapper .sort_header {
    color: var(--text-color-60, #666f82);
    order: 0;

    @rule header
    line-height: 24px;
}

.sorting_title {
    flex: 1 1 auto;
}

.wrapper .header_row {
    padding: 8px 0px;
    margin: 0;
}

.wrapper .close_inner_form_settings {
    right: 27px !important;
    top: 32px !important;
}

.value_span {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 4px 12px;
    width: fit-content;
    border-radius: var(--default-border-radius);
    font-family: var(--font-family);
    font-size: var(--font-text-size);
    font-weight: var(--default-bolder-weight);
    line-height: var(--default-line-height);
    padding-left: 0;
    color: var(--text-color-80);
}

.value_span a:hover,
.value_status_span a:hover {
    color: var(--primary-80, #3f8bf8);
}

.value_span a:active,
.value_status_span a:active {
    color: var(--additionally-100);
}

.value_span img {
    margin-right: 8px;
    border-radius: var(--default-border-radius);
}

.element_container:nth-child(1) {
    background: red;
    display: none;
}

.form_close_btn {
    display: none;
}

.status_field {
    width: fit-content;
    align-items: center;
    gap: 8px;
    margin: 6px 12px;
}

.value_status_span img {
    margin-right: 8px;
}

.footer_pages img {
    margin: 0px 8px;
}

.footer_pages img {
    cursor: pointer;
    width: 20px !important;
    height: 20px !important;
}

.data_row:hover {
    background: var(--base-blue-40);
    transition: 0.3s all easy;
}

.row_selected {
    background: var(--default-table-selection);
    transition: 0.3s all easy;
    opacity: 80%;
}

.reset {
    display: none;
}

.sort_content_row:hover {
    background: var(--base-blue-40);
    color: var(--primary-80);
}

.wrapper .element_container, .sort_form .sort_data {
    min-width: 320px;
    order: 1;
}

.element_container {
    height: 100%;
    overflow: auto;
}

.select-custom {
    position: absolute;
}

.select {
    margin: 0 auto;
    position: relative;
    width: 250px;
    color: var(--text-color-80);

    @rule default-text-block;
}

.is-active .select__body {
    display: flex;
}

.select__header {
    border: var(--default-border);
    cursor: pointer;
    display: flex;
    height: 36px;
    width: 72px;
    @rule default-radiused-border;
    padding: 8px 12px;
    justify-content: space-between;
}

.select__current {
    font-size: var(--font-text-size);
    line-height: var(--default-line-height);
    display: flex;
    justify-content: center;
    align-items: center;
}

.select__icon {
    @rule pointing-bg;
    @rule flex-center-text;
    align-items: center;
    height: 100%;
    width: 20px;
    background: url("--root//images/select.svg") no-repeat 2px;
    flex-shrink: 0;
}

.select__icon:hover {
  background: url("--root//images/select-hover.svg") no-repeat 2px;
}

.select__icon:active {
  background: url("--root//images/select-active.svg") no-repeat 2px;
}

.select__body {
    @rule default-radiused-border;
    display: none;
    position: absolute;
    left: 0px;
    bottom: 48px;

    background: var(--bg-white, #fff);
    box-shadow: var(--box-shadow);
    width: 72px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    user-select: none;
    z-index: 9;
}

.select__item {
    cursor: pointer;
    font-size: var(--font-text-size);
    line-height: 24px;
    padding: 8px 0;
    width: 100%;
    display: flex;
    justify-content: center;
}

.select__item:hover {
    background: var(--base-blue-40, #f1f8ff);
    color: var(--primary-80);
}

.select__item:active {
    color: var(--additionally-100);
}

.rotated {
    transform: rotate(180deg);
    background: url("--root/images/select.svg") no-repeat -2px;
}

.rotated:hover {
  background: url("--root/images/select-hover.svg") no-repeat -2px;
}

.rotated:active {
  background: url("--root/images/select-active.svg") no-repeat -2px;
}

.pages_label {
    color: var(--text-color-60, #666f82);

    @rule default-text-block;

    font-style: normal;
    padding-left: 14px;
}

.sortable_panel {
    right: 100px;
    width: auto;
    padding: 32px;

    gap: var(--default-gap);
    @rule default-radiused-border;
    background: var(--bg-white, #fff);
    box-shadow: var(--box-shadow)
}

.value_status_span {
    display: flex;
    align-items: center;
    padding: 4px 12px;
    border-radius: var(--default-border-radius);
}

.sort_content_row img {
    opacity: 0;
}

.sort_content_row:hover img {
    opacity: 1;
    cursor: pointer;
}

.bg-image-issue {
    position: relative;
    background-repeat: no-repeat;
}

.bg-image-issue img {
    opacity: 0;
}

.bg-issue-absolute {
    position: absolute;
    @rule top-left;
    @rule full-size;
    cursor: pointer;
    user-select: none;
}

.issue-32-issue-filter div {
    margin-left: 16px;
    width: 44px !important;
}

.issue-32-issue-filter div:hover {
    background: url("--root/images/issue-filter-hover.svg") center no-repeat !important;
}

.issue-32-issue-filter div:active {
    background: url("--root/images/issue-filter-active.svg") center no-repeat !important;
}

.issue-32-download div:hover {
    background: url("--root/images/download-hover.svg") center no-repeat !important;
}

.issue-32-download div:active {
    background: url("--root/images/download-active.svg") center no-repeat !important;
}

.issue-32-sort div:hover {
    background: url("--root/images/issue-sort-hover.svg") center no-repeat !important;
}

.issue-32-sort div:active {
    background: url("--root/images/issue-sort-active.svg") center no-repeat !important;
}

tr:first-child {
    position: sticky;
    top: 0;
    background: var(--bg-white);
    z-index: 1;
}

.data_row p {
    position: relative;
    overflow: hidden;
    text-wrap: initial;
}

.data_cell {
    position: relative;
    z-index: 0;
}

.issue-sett-header21 {
    padding: 0 !important;
    margin-bottom: 24px !important;
}

.issue-settings-wrapper21 {
    right: 191px !important;
}

.wrapper .search_form {
    width: 900px;
    padding: 32px;
    @rule default-radiused-border
    box-shadow: var(--modal-shadow);
}

@media (max-width: 1024.02px) {
    .wrapper .search_form {
        width: 600px !important;
    }
}

.wrapper .search_form .search_elements {
    width: 100%;
}

.criteria_element select,
input {
    padding: 8px 41px 8px 12px;
    color: var(--text-color-80, #34415a);
    @rule default-text-block;
    border-radius: var(--default-border-radius);
    border: var(--default-border);
    outline: 0px;
    background: url("--root/images/select.svg") no-repeat 202px;
}

.criteria_element select {
    background: url("--root/images/select.svg") no-repeat 224px;
}

.criteria_element input {
    background: none !important;
    min-width: 256px;
}

.add-btn-issue-list {
    padding: 0px 24px 0px 0px !important;
    color: var(--primary-100, #0f6ef6) !important;
    @rule default-text-block;

    font-weight: 500 !important;

    position: relative;
    background: url("--root/images/plus.svg") right no-repeat !important;
    margin-bottom: 24px;
}

.apply-filter-issue-list {
    background-color: #0f6ef6 !important;
    margin: 0 !important;
}

.search_type_remote_chooser {
    padding: 0;
    padding: 8px 12px;
    color: var(--text-color-80, #34415a);
    @rule default-text-block;

    @rule default-radiused-border;
    background: url("--root/images/select.svg") no-repeat 220px;
    flex: 0 0 256px;
}

.status_field img {
    opacity: 0;
    transition: all 0.2s ease;
    padding: 2px;
    width: 20px !important;
    height: 20px !important;
}

.image_in_details {
    opacity: 1 !important;
}

.status_field:hover img {
    opacity: 1;
    cursor: pointer;
}

.search_remote_container a {
    color: var(--text-color-80, #34415a);
    max-width: 203px;
    overflow: hidden;
}

.search_remote_container img {
    margin-left: 7px;
}

.search_entity_form .close_modal {
    padding: 3px !important;
    margin: 0 !important;
}

.name_content {
    max-width: 100%;
    min-width: 170px;
    height: fit-content;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 16px;
    position: relative;
    padding-right: 8px !important;
}

.name_content a {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    word-break: break-word;
}

.name_content a:hover {
    color: var(--primary-80, #3f8bf8);
}

.name_content a:active {
    color: #033fb4;
}

.name_content * {
    max-width: 100%;
}

.name_content img {
    border-radius: 2px;
    min-height: 32px !important;
    min-width: 32px !important;
}

.ordering_form {
    right: 56px;
    overflow: scroll;
}

.form-window {
    position: fixed;
    top: 0;
    right: 0;
    height: auto;
    max-height: 100%;
    padding: 0;
    /* padding-bottom: 32px; */
    border-radius: 4px;
    border: 1px solid var(--base-grey-100, #c7c7c7);
    background: var(--bg-white, #fff);
    box-shadow: 0px 8px 16px 0px rgba(3, 19, 50, 0.1);
    width: 592px !important;
    z-index: 999;
}

@media (max-width: 1024.02px) {
    .form-window {
        width: 504px !important;
    }
}

.issue-view .text_area {
    display: none;
}

.issue-view .settings {
    width: fit-content;
    height: fit-content;
}

.issue-view #actions {
    margin: 20px 0;
}

.issue-view .actions {
    margin-bottom: 20px;
}

.show_descr_title {
    color: var(--text-color-60, #666f82);
    font-family: var(--font-family);
    font-size: var(--header-font-size);
    font-weight: var(--default-bolder-weight);
    line-height: 24px;
    display: flex;
    align-items: center;
    gap: 8px;
}

.chooser-wrapper {
    position: fixed !important;
    top: 0 !important;
    left: 0;
    display: flex;
    justify-content: center !important;
    align-items: center;
    width: 100% !important;
    height: 100%;
    z-index: 99999999;
    background-color: rgba(3, 19, 50, 0.3) !important;
}

.chooser_headers {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
}

.remote-chooser {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 24px;
    background: #ffffff;
    box-sizing: border-box;
    border-radius: 4px;
    border: 1px solid var(--base-grey-40, #e8e8e8);
    box-shadow: 0px 8px 16px 0px rgba(3, 19, 50, 0.1);
    width: fit-content;
    padding: 32px;
}

.chooser_pagination {
    position: absolute;
    left: 32px;
    bottom: 32px;
    display: flex;
    align-items: center;
    gap: 6px;
    color: var(--text-color-80, #34415a);
    font-size: 14px;
    font-weight: 400;
    line-height: calc(9 / 7);
    padding: 6px;
}

.tab_panel_header {
    display: flex;
}

.remote-chooser .search_header, .connection__remote-chooser .search_header {
    margin-bottom: 16px;
    padding: 0px;
}

.search_text {
    height: 36px;
    display: flex;
    align-items: center;
}

.remote-chooser .tabs_panel-content {
    height: 276px;
}

.close-chooser-btn {
    color: var(--primary-100, #0f6ef6);
    text-align: center;
    font-size: 16px;
    font-weight: 500;
    padding: var(--common-padding);
    border-radius: var(--default-border-radius);

    @rule default-radiused-border;
    background: var(--bg-white, #fff);
    width: fit-content;
    margin-left: auto;
    cursor: pointer;
}

.search_item {
    display: flex;
    align-items: center;
    padding: 4px 12px;
    border-radius: 4px;
    gap: 8px;
    font-size: 16px;
    font-weight: 400;
    width: fit-content;
}

.magic_object_chooser_content .search_item {
    color: var(--text-color-80, #34415a);
}

.magic_object_chooser_content a:hover .search_item {
    color: var(--primary-80);
}

.magic_object_chooser_content a:active .search_item {
    color: var(--additionally-100);
}

.calendar__wrapper {
    width: 185px;
    height: 36px;
    border-radius: 8px;
    border: 1px solid var(--ui-elements-dark-40, #9da2a1);
    background: var(--background-white, #fff);
    padding: 4px 12px;
    display: flex;
    align-items: center;
    background: url("https://www.pinclipart.com/picdir/big/388-3886103_calendar-icon-calendar-symbol-clipart.png");
    background-size: 24px 24px;
    background-position: 169px;
    background-repeat: no-repeat;
    cursor: pointer;
}

.date-chooser__bottom {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.date-chooser__date-div {
    border: var(--default-border);
    background: none;
    padding: 8px 12px;
    flex: 1 0 auto;
    font-size: var(--default-text-size);
    display: flex;
    align-items: center;
    color: var(--text-color-100);
    border-radius: 4px;
}

.date-chooser__apply {
    padding: 12px 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: cadetblue;
    font-weight: 500;
    cursor: pointer;
    border-radius: 4px;
    border: 1px solid var(--primary-color);
}

.date-select {
    display: flex;
    color: var(--text-color-80, #34415a);
    font-family: var(--font-family);
    font-size: 16px;
    line-height: 20px;
    text-decoration: none;
    white-space: nowrap;
    height: 150px;
    overflow: hidden;
    margin-bottom: 15px;
    margin-top: 32px;
}

.date-select-years,
.date-select-months,
.date-select__column {
    height: 100%;
    width: fit-content;
    overflow-y: scroll;
}

.date-select__column {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}

.date-select__column::-webkit-scrollbar {
    display: none;
}

.date-select__column {
    border-right: var(--default-border);
    width: 30%;
}

.date-select__column:last-child {
    border: 0;
}

.date-select__column:last-child .calendar-item {
    display: flex;
    justify-content: flex-start;
}

.calendar-item {
    cursor: pointer;
    position: relative;
    z-index: 20;
    display: flex;
    justify-content: flex-start;
    height: 38px;
    align-items: center;
    padding: 8px 12px;
    font-size: var(--default-text-size);
    font-weight: var(--default-unbold-weight);
    line-height: var(--default-line-height);
    color: var(--text-color-80, #34415a);
}

.date-chooser__day {
    font-size: 13px;
    color: gray;
    margin-left: 5px;
}

.calendar-item:hover {
    background: var(--base-blue-40, #F1F8FF);
    color: var(--primary-80);
}

.calendar-item:active {
  color: var(--additionally-100);
}

.choose-calendar {
    position: relative;
    padding: 32px;
    border-radius: 4px;
    border: 1px solid var(--base-grey-40, #e8e8e8);
    box-shadow: 0px 8px 16px 0px rgba(3, 19, 50, 0.1);
    background: #ffffff;
    display: flex;
    flex-direction: column;
    height: fit-content;
    width: 400px;
}

.date-chooser__selected {
    color: var(--primary-100) !important;
}

.date-chooser__selected div {
    color: var(--primary-100) !important;
    font-weight: 400 !important;
}

.search_entity_form input {
    background: url("--root/images/search-icon.svg") 12px no-repeat;
    padding: 11px 0px 11px 40px;
}

.issue-view .page_content {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.issue-view .close_inner_form {
    right: 24px;
    top: 24px;
}

.issue-view__header {
    display: flex;
    gap: 32px;
    align-items: flex-start;
    min-height: 24px;
}

.issue-view__header-title {
    color: var(--text-color-60, #666f82);
    font-size: 20px;
    font-weight: 500;
    line-height: 1.2;
    margin: 0;
}

.issue-view__content {
    display: flex;
    width: 100%;
    align-items: stretch;
    border: 1px solid #e8e8e8;
    flex-grow: 1;
    min-height: fit-content;
}

.issue__info {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    flex-shrink: 0;
    width: 66%;
}

@media (max-width: 1280.02px) {
    .issue__info {
        width: 72%;
    }
}

.issue__main-and-additional {
    /* height: 100%; */
    display: flex;
    flex-grow: 1;
    align-items: stretch;
    max-height: calc(100% - 93px);
}

.issue__main-info,
.issue__additional-info {
    /* height: 100%; */
    display: flex;
    /* min-width: 576px; */
    padding: 24px;
    flex-direction: column;
    align-items: center;
    flex-grow: 1;
    width: 50%;
}

@media (max-width: 1280.02px) {
    .issue__main-info,
    .issue__additional-info {
        padding: 16px;
    }
}

.issue__main-info {
    border-right: 1px solid #e8e8e8;
    gap: 16px;
    position: relative;
}

.issue__main-info-header {
    display: flex;
    gap: 8px;
    align-items: center;
    width: 100%;
    position: sticky;
}

.issue__main-info-id, .issue__main-id {
    color: var(--primary-80, #3f8bf8);
    font-size: 16px;
    font-weight: 500;
    line-height: 1.25;
    margin: 0;
}

.issue__main-info-date .issue__main-id {
    color: var(--text-color-40, #979eaa);
    font-size: 14px;
    font-weight: 400;
    line-height: calc(9 / 7);
    margin: 0;
}

.issue__main-info-settings {
    margin-left: auto;
    display: flex;
    align-items: center;
    gap: 8px;
}

.issue__main-info-setting-icon {
    width: 20px;
    height: 20px;
    background-color: white;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    background-position: center;
    cursor: pointer;
}

.issue__text-rows {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.issue__text-row {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    min-height: 36px;
}

.issue__text-row-title {
    color: var(--text-color-80, #34415a);
    font-size: 16px;
    font-weight: 500;
    line-height: 1.25;
    margin: 0;
    min-width: 100px;
    width: 160px;
    padding: 8px 0;
    flex-shrink: 0;
}

.issue__text-row-info {
    display: flex;
    padding: 8px 12px;
    align-items: center;
    width: 400px;
    gap: 8px;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
    flex-grow: 1;
    color: var(--text-color-80, #34415a) !important;
}

.issue__text-row .text-name,
.issue__text-row .description-title,
.issue__text-row .related-title {
    align-self: flex-start;
}

#page_title,
.issue__main-info-attachment .issue__text-row-info {
    padding-left: 12px;
}

.issue__main-info-attachment .issue__text-row-info {
    width: 100%;
    overflow: hidden;
}

#page_title {
    color: #031332;
    padding-top: 4px;
}

.issue__main-info-attachment {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
}

.issue__additional-info {
    gap: 16px;
}

.issue__info-buttons,
.issue-comments__button {
    display: flex;
    justify-content: flex-end;
}

.issue__info-buttons {
    gap: 16px;
    padding: 24px;
    border-top: 1px solid #e8e8e8;
}

.issue__side-menu {
    position: relative;
    border-left: 1px solid #e8e8e8;
    height: 100%;
    flex-shrink: 1;
    flex-grow: 1;
    display: flex;
    padding: 24px 24px 24px 48px;
    flex-direction: column;
    width: 34%;
}

@media (max-width: 1280.02px) {
    .issue__side-menu {
        width: 28%;
        padding: 16px 16px 24px 36px;
    }
}

@media (max-width: 1024.02px) {
    .issue__side-menu {
        width: 42%;
        position: absolute;
        background: var(--bg-white);
        border: 1px solid #e8e8e8;
        box-shadow: var(--modal-shadow);
        right: 0;
    }
}

.issue__side-menu:has(.close_panel) {
    flex-grow: 0;
    max-width: 48px;
    padding-right: 0;
    overflow: hidden;
    position: relative;
}

@media (max-width: 1280.02px) {
    .issue__side-menu:has(.close_panel)  {
        max-width: 36px;
    }
}

@media (max-width: 1024.02px) {
    .issue__side-menu:has(.close_panel) {
        border: none;
        border-left: 1px solid #e8e8e8;
        box-shadow: none;
    }
}

.issue__side-menu-icon.close_panel {
    transform: scale(-1, -1);
}

.issue-comments__content {
    flex-grow: 1;
    width: 100%;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    gap: 8px;
    height: calc(100vh - 606px);
    padding: 0 40px;
}

.issue-comments__form {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-top: auto;
}

.issue-comment__input-panel {
    border-radius: 4px;
    border: 1px solid var(--base-grey-60, #ddd);
    display: flex;
    flex-direction: column;
}

.issue-comment__input {
    display: inline-block;
    width: 100%;
    padding: 12px;
    height: 92px;
    border: none;
    background: white;
    margin: 0;
    min-width: 100% !important;
    resize: none;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
    font-family: var(--font-family);
    outline: none;
    color: var(--text-color-60, #666f82);
}

.issue-comment__input::placeholder {
    font-family: var(--font-family);
    color: var(--text-color-60, #666f82);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
}

.wrapper:has(.issue-view__content) {
    height: fit-content;
}

.issue-comment__input-tools {
    display: flex;
    padding: 12px 0px 12px 16px;
    align-items: center;
    justify-content: flex-start;
    border-top: 1px solid var(--base-grey-60, #ddd);
    gap: 4px;
}

.issue-comment__input-tool-icon {
    width: 20px;
    height: 20px;
    background-color: white;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    background-position: center;
    cursor: pointer;
}

.issue__side-menu-icon {
    position: absolute;
    top: 28px;
    left: 20px;
    height: 20px;
    width: 20px;
    cursor: pointer;
}

@media (max-width: 1280.02px) {
    .issue__side-menu-icon {
        top: 24px;
        left: 11px;
    }
}

.issue-comments__date {
    padding: 2px 16px;
    border-radius: 6px;
    background: var(--base-grey-40, #e8e8e8);
    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.2);
    color: var(--text-color-60, #666f82);
    text-align: center;
    font-size: 12px;
    font-weight: 400;
    line-height: calc(4 / 3);
}

.issue__main-info-attachment .attach_preview_img {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 4px;
}

.issue__main-info-attachment .attach_preview_img img {
    max-width: 100%;
    min-height: 100%;
    flex-shrink: 0;
}

.related-list {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.related-list-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.related-task-info {
    padding: 8px 12px;
    display: flex;
    gap: 8px;
}

.text-content,
.description-content,
.related-list {
    flex-grow: 1;
}

.shadow_wrapper {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    z-index: 999999;
    background: rgba(11, 11, 11, 0.9);
}

.fullImg_header {
    position: relative;
    display: flex;
    margin: 0 96px;
    padding: 32px 0 20px;
    align-items: flex-start;
    justify-content: space-between;
}

.zoom_in,
.zoom_out,
.actions_div div {
    width: 24px;
    height: 24px;
    background-size: 24px 24px;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.zoom_in {
    background-image: url("--root/images/MagnifyingGlassPlus.svg");
}

.zoom_out {
    background-image: url("--root/images/MagnifyingGlassMinus.svg");
}

.actions_div {
    display: flex;
    gap: 12px;
    align-items: center;
}

.actions_close {
    position: absolute;
    top: 32px;
    right: -64px;
    background-image: url("--root/images/close-white.svg");
    cursor: pointer;
}

.close_full_img {
    position: absolute;
    top: 32px;
    right: -64px;
    background-image: url("--root/images/close-white.svg");
}

.prompt_window .close_modal {
    background-image: url("--root/images/close.svg");
}

.actions_close:hover,
.close_full_img:hover,
.prompt_window .close_modal:hover {
    background-image: url("--root/images/close-hover.svg");
}

.actions_close:active,
.close_full_img:active,
.prompt_window .close_modal:active {
    background-image: url("--root/images/close-active.svg");
}

.actions_close img {
    opacity: 0;
    width: 100%;
    height: 100%;
}

.fullImg_main {
    margin-bottom: 60px;
    flex-grow: 1;
    display: flex;
    align-items: stretch;
    justify-content: center;
}

.array_left,
.array_right {
    width: 96px;
    background-repeat: no-repeat;
    background-size: 36px 36px;
    background-position: center;
    cursor: pointer;
}

.array_left {
    background-image: url("--root/images/ArrowCircleLeft.svg");
}

.array_left:hover {
    background-image: url("--root/images/ArrowCircleLeft-hower.svg");
}

.array_left:active {
    background-image: url("--root/images/ArrowCircleLeft-active.svg");
}

.array_right {
    background-image: url("--root/images/ArrowCircleRight.svg");
}

.array_right:hover {
    background-image: url("--root/images/ArrowCircleRight-hover.svg");
}

.array_right:active {
    background-image: url("--root/images/ArrowCircleRight-active.svg");
}

.full_img {
    flex-grow: 1;
    /* padding: 0 96px; */
    display: flex;
    align-items: center;
    justify-content: center;
}

.full_img img {
    max-width: calc(100vw - 192px);
    max-height: calc(100vh - 144px);
}

.img-redactor__wrapper {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    z-index: 999999;
    background: rgba(11, 11, 11, 0.9);
}

.img-redactor__btns {
    display: flex;
    margin-top: 10px;
    color: white;
}

.img-redactor__back {
    margin: 0px 15px;
    padding: 9px 5px;
    border-radius: 5px;
    border: 1px solid white;
    cursor: pointer;
}

.img-redactor__save {
    padding: 9px 5px;
    border-radius: 5px;
    border: 1px solid white;
    cursor: pointer;
}

.img-redactor__fixed-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 39123912931239;
    display: flex;
    align-items: center;
    justify-content: center;
}

.img-redactor__panel {
    display: flex;
    align-items: center;
    padding: 10px;
    border-top: 1px solid black;
    justify-content: space-around;
    flex-direction: column;
}

.canvas__wrapper {
    position: relative;
    overflow-x: hidden;
}

.canv {
    position: absolute;
    top: 0;
    left: 0;
}

.img-redactor__inpt-drag-wrapper .canvas__text {
    box-sizing: border-box;
    font-size: 25px;
    border: 0;
    line-height: none;
    border: 4px dashed rgb(199, 193, 193);
    caret-color: rgb(0, 0, 0);
    background: none;
    letter-spacing: 0;
    cursor: pointer;
    color: black;
    width: 77px;
    padding-right: 5px;
}

.color-black {
    color: black !important;
}

.color-none {
    color: rgba(0, 0, 0, 0) !important;
}

.img-redactor__input-wrapper {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 9999999999;
    width: fit-content;
}

.img-redactor__drag {
    width: 25px;
    height: 25px;
    background: url("https://www.svgrepo.com/show/344429/arrows-move.svg") no-repeat;
    background-size: contain;
    cursor: pointer;
    position: absolute;
    top: -29px;
    z-index: 98978978987888;
}

.canvas__save-btn {
    background: bisque;
    padding: 10px;
}

.img-redactor__close {
    position: absolute;
    top: 5px;
    right: 5px;
}

.img-redactor__inpt-drag-wrapper {
    position: relative;
}

.img-redactor__paint-btn {
    width: 30px;
    height: 30px;
    background: url(https://www.svgrepo.com/show/412943/draw.svg);
    background-size: cover;
}

.img-redactor__clear {
    padding: 9px 5px;
    border-radius: 5px;
    border: 1px solid white;
    cursor: pointer;
}

.img-redactor__close-btn {
    position: absolute;
    width: 24px;
    height: 24px;
    background: url("--root/images/close.png.png") center;
    cursor: pointer;
    right: 32px;
    top: 32px;
    background-size: contain;
    background-repeat: no-repeat;
}

.img-redactor__draw {
    width: var(--default-icon-size);
    height: var(--default-icon-size);
    background-image: url("--root/images/PaintBrush.svg");
    background-repeat: no-repeat;
    background-size: var(--default-icon-background-size);
    cursor: pointer;
}

.img-redactor__text {
    width: var(--default-icon-size);
    height: var(--default-icon-size);
    background-image: url("--root/images/TextAa.svg");
    background-repeat: no-repeat;
    background-size: var(--default-icon-background-size);
    cursor: pointer;
}

.img-redactor__tool {
    display: flex;
    gap: 12px;
    padding-top: 32px;
}

.img-redactor__accept {
    width: 25px;
    height: 25px;
    background: url("http://cdn.onlinewebfonts.com/svg/img_518267.png") no-repeat;
    background-size: contain;
    cursor: pointer;
    position: absolute;
    top: -29px;
    left: 40px;
    z-index: 98978978987888;
}

.img-redactor__range {
    padding: 0 !important;
}

.open-form .form-content-wrapper {
    width: 100%;
    height: calc(100vh - 2px);
}

.form-content-wrapper .footer {
    margin-top: auto;
    padding-bottom: 32px;
}

.form-window {
    min-height: 100vh;
}

.zoom_div {
    display: flex;
    gap: 12px;
    z-index: 90;
    position: relative;
}

.connection__close-btn {
    width: 15px;
    height: 15px;
    background: url("--root/images/close.png.png") center;
    position: absolute;
    top: 32px;
    right: 32px;
}

.connection__modal {
    min-width: 600px;
    width: 70%;
    min-height: 600px;
    height: 70%;
}

@media (max-width: 1024.02px) {
    .connection__modal {
        min-width: 400px !important;
    }
}

.connection__tabs-inner {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.connection__btn-row {
    display: flex;
    gap: 16px;
    justify-content: flex-end;
    align-items: center;
}

.connection__btn {
    border-radius: 4px;
}

.connection__title {
    margin-right: auto;
    color: var(--text-color-60, #666f82);
    font-size: 20px;
    font-weight: 500;
    line-height: 1.2;
}

.connection__close-btn {
    background-image: url("--root/images/close.svg") !important;
    background-size: 20px 20px;
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.connection__close-btn:hover {
    background-image: url("--root/images/close-hover.svg") !important;
}

.connection__close-btn:active {
    background-image: url("--root/images/close-active.svg") !important;
}

.header__group {
    box-sizing: border-box;
    border-radius: 4px;
    padding: 8px 12px;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.25;
    display: flex;
    align-items: center;
    gap: 8px;
    background: transparent;
}

.group_layout {
    display: flex;
    align-items: center;
    gap: 8px;
    background: transparent;
}

.group-header__icon {
    max-width: 20px;
}

.header__group .group_name {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    font-weight: 400;
}

.header__group .group_name .div_image {
    background-image: url("--root/images/select.svg") !important;
    width: 20px !important;
    height: 20px !important;
}

.header__group .div_image {
    width: 14px !important;
    height: 14px !important;
}

.modal:has(.current_group) {
    gap: 16px;
}

.modal:has(.current_group) .title {
    color: var(--text-color-60, #666f82);
    font-size: 20px;
    font-weight: 500;
    line-height: 1.2;
}

.close_group_selection {
    background: none;
}

.selected .current_group,
.available_groups .current_group {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.2;
    padding: 8px 16px;
    cursor: pointer;
}

.available_groups .current_group:has(.group_layout) {
    padding: 0;
}

.available_groups .current_group .group_layout {
    min-width: 160px;
    padding: 8px 12px;
    cursor: pointer;
}

.selected .current_group:hover,
.available_groups .current_group .group_layout:hover {
    color: var(--primary-80);
    background: var(--base-blue-40);
}

.selected:hover .current_group:active,
.available_groups .current_group .group_layout:active {
    color: #033fb4;
}

.selected .current_group {
    background: var(--base-blue-40);
}

#amount {
    width: 400px;
    padding: var(--default-text-padding);
    background: none;
}

.table-btns-panel .div_image {
    cursor: pointer;
}

.modal_prompt {
    position: fixed;
    top: 0;
    left: 0;

    @rule flex-center-text;
    width: 100%;
    height: 100%;
    z-index: 999999999999;
    background: var(--prompt-bg);
    border-radius: 0;

    display: flex;
    align-items: center;
    justify-content: center;
}

.modal_prompt .modal {
    position: relative;
    padding: 32px;

    @rule --default-radiused-border;
    box-shadow: var(--box-shadow);
    background-color: var(--bg-light-color);
    width: 600px;
    display: flex;
    flex-direction: column;
    text-align: left;
    height: fit-content;
}

.prompt_window {
    position: relative;
    display: flex;
    width: 480px;
    padding: 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    border-radius: var(--default-border-radius);
    border: var(--default-border);
    background: var(--bg-white);
    box-shadow: var(--box-shadow)
}

.prompt_window .close_modal {
    position: absolute;
    top: 32px;
    right: 32px;
    background-size: 24px 24px;
    width: 24px;
    height: 24px;
    background-position: center;
}

.prompt_box_title {
    color: var(--text-color-100);
    font-size: var(--header-font-size);
    font-weight: 500;
    line-height: 1.2;
    display: flex;
    align-items: center;
    width: 100%;
}

.prompt_box_title::before {
    content: "";
    width: 24px;
    height: 24px;
    background-position: center;
    background-size: 24px 24px;
    background-image: url("--root/images/Warning.svg");
    margin-right: 16px;
}

.prompt_text {
    width: 100%;
    color: var(--text-color-80);
    font-size: 16px;
    font-weight: var(--default-unbold-weight);
    line-height: calc(5 / 4);
    margin-left: 40px;
}

.prompt_window .footer {
    width: 100%;
    padding: 16px 0 0 !important;
    align-self: flex-end;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 8px;
}

.prompt_window .close_modal {
    display: none;
}

.prompt_window .footer input[type="button"] {
    border-radius: 4px;
    border: 1px solid var(--primary-100);
    padding: 8px 16px;
    gap: 4px;
    font-size: 14px;
    font-weight: 500;
    cursor: pointer;
    display: flex;
    align-items: center;
    height: 36px;
}

.prompt_window .footer input[type="button"]:hover {
    border-color: var(--primary-80, #3f8bf8);
}

.prompt_window .footer input[type="button"]:active {
    border-color: var(--additionally-100, #033fb4);
}

.prompt_window .footer input[type="button"]:first-child {
    color: var(--primary-100, #0f6ef6);
    background: var(--bg-white, #fff);
}

.prompt_window .footer input[type="button"]:first-child:hover {
    color: var(--primary-80, #3f8bf8);
}

.prompt_window .footer input[type="button"]:first-child:active {
    color: var(--additionally-100, #033fb4);
}

.prompt_window .footer input[type="button"]:last-child {
    color: var(--bg-white, #fff);
    background: var(--primary-100, #0f6ef6);
}

.prompt_window .footer input[type="button"]:last-child:hover {
    background: var(--primary-80, #3f8bf8);
}

.prompt_window .footer input[type="button"]:last-child:active {
    background: var(--additionally-100, #033fb4);
}

.header-menu-wrapper .issue-btn {
    margin: 0;
}

.page__header div[data-cache="languages"] {
    display: none;
}

#issue-create-btn {
    background-color: #0f6ef6;
    display: flex;
    align-items: center;
    gap: var(--smaller-gap);
    margin: 0 16px;
}


.issue-history__wrapper {
    flex-direction: column !important;
}

.issue-history__item {
    display: flex;
    flex-direction: column;
    /* gap: 8px; */
}

.issue-history__header,
.issue-history__footer {
    display: flex;
    align-items: center;
    gap: 8px;
}

.issue-history__header {
    align-items: flex-start;
}

.issue-history__footer {
    padding-left: 36px;
}

.issue-history__performer .search_item, .issue-history__field {
    color: var(--text-color-80);
    font-size: var(--font-text-size);
    font-weight: var(--default-bolder-weight);
    line-height: calc(5 / 4);
}

.issue-history__date {
    order: 3;
}

.issue-history__date, .issue-history__action {
    padding-top: 2px;
}

.issue-history__date, .issue-history__action, .issue-history__to, .issue-history__from {
    color: var(--text-color-40, #979EAA);
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: calc(9 / 7);
}

.issue-history__to p, .issue-history__from p {
    text-align: left;
    padding: 0;
    margin: 0;
}

.issue-history__to, .issue-history__from {
    text-align: left;
}

.issue-history__from {
    display: flex;
    align-items: center;
    gap: 8px;
}

.issue-history__from::after {
    content: '';
    width: 15px;
    height: 20px;
    @rule pointer-bg;
    background-image: url("--root/images/fromTo.svg");
    background-size: 15px 6px;
    background-repeat: no-repeat;
    background-position: center;
}

.issue-history__content {
    display: flex;
    flex-direction: column;
    gap: var(--default-gap);
    height: 100%;
    overflow: auto;
}

.context-menu__wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999999;
    height: 100%;
}

.context-menu__menu {
    position: absolute;
    width: 207px;
    border-radius: 4px;
    border: 1px solid var(--base-grey-100, #c7c7c7);
    background: var(--bg-white, #fff);
    box-shadow: var(--box-shadow);
    display: flex;
    flex-direction: column;
}

.context-menu__item, .context-menu__item-wrapper .menu-text {
    flex-basis: auto;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
    color: var(--text-color-80);
    margin-right: 16px;
}

.context-menu__item-wrapper {
    padding: var(--padding-modal) !important;
    width: auto;
    cursor: pointer;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 8px;
    height: 40px;
}

.context-menu__item-wrapper:hover {
    background: var(--base-blue-40);
}

.context-menu__item-wrapper:hover .context-menu__item, .context-menu__item-wrapper:hover .menu-text {
    color: var(--primary-80);
}

.context-menu__item-wrapper:active .context-menu__item, .context-menu__item-wrapper:active .menu-text {
    color: var(--additionally-100);
}

.context-menu__edit-icon,
.context-menu__delete-icon,
.context-menu__copy-icon,
.context-menu__close_issue-icon,
.context-menu__create_issue-icon,
.context-menu__move-icon,
.context-menu__change-icon {
    flex: 0 0 24px;
    height: 24px;
    background-position: center !important;
    background-size: var(--default-icon-background-size);
}

.context-menu__copy-icon {
    background-image: url("--root/images/CopySimple.svg");
}

.context-menu__item-wrapper:hover .context-menu__copy-icon {
    background-image: url("--root/images/CopySimple-hover.svg");
}

.context-menu__item-wrapper:active .context-menu__copy-icon {
    background-image: url("--root/images/CopySimple-active.svg");
}

.context-menu__add_work_log-icon {
    background-image: url("--root/images/Clock.svg");
}

.context-menu__item-wrapper:hover .context-menu__add_work_log-icon {
    background-image: url("--root/images/Clock-hover.svg");
}

.context-menu__item-wrapper:active .context-menu__add_work_log-icon {
    background-image: url("--root/images/Clock-active.svg");
}

.context-menu__close_issue-icon {
    background-image: url("--root/images/CalendarX.svg");
}

.context-menu__item-wrapper:hover .context-menu__close_issue-icon {
    background-image: url("--root/images/CalendarX-hover.svg");
}

.context-menu__item-wrapper:active .context-menu__close_issue-icon {
    background-image: url("--root/images/CalendarX-active.svg");
}

.context-menu__create_issue-icon {
    background-image: url("--root/images/Plus-big.svg");
}

.context-menu__item-wrapper:hover .context-menu__create_issue-icon {
    background-image: url("--root/images/Plus-big-hover.svg");
}

.context-menu__item-wrapper:active .context-menu__create_issue-icon {
    background-image: url("--root/images/Plus-big-active.svg");
}

.context-menu__move-icon {
    background-image: url("--root/images/MoveTo.svg");
}

.context-menu__item-wrapper:hover .context-menu__move-icon{
    background-image: url("--root/images/MoveTo-hover.svg");
}

.context-menu__item-wrapper:active .context-menu__move-icon {
    background-image: url("--root/images/MoveTo-active.svg");
}

.context-menu__change-icon {
    background-image: url("--root/images/Change.svg");
}

.context-menu__item-wrapper:hover .context-menu__change-icon{
    background-image: url("--root/images/Change-hover.svg");
}

.context-menu__item-wrapper:active .context-menu__change-icon {
    background-image: url("--root/images/Change-active.svg");
}

.group_layout .group_name .div_image {
    display: none;
}

.header__group .group_layout .group_name .div_image {
    display: inline-flex;
}

.page_content:has(.issue-view__content) {
    flex-grow: 1;
}

.issue-view__header .connection-tree-node {
    /* max-width: 164px; */
}

.issue__text-row-info .search_item > p {
    @rule no-padding-margin;
    max-width: 100%;
    word-break: break-word;
}

.issue-view .close_inner_form {
    z-index: 1 !important;
}

.issue__side-menu .tab_panel_header {
    flex-grow: 0;
    align-items: flex-start;
}

.issue__side-menu #tab_panel_header {
    border-bottom: none;
    flex-grow: 1;
}

.issue__side-menu > .tabs_panel > .tabs_panel-content {
    flex-grow: 0;
}

.issue__side-menu .tabs_panel {
    height: 100%;
}

.issue__side-menu .tabs_panel-content {
    flex-grow: 1;
}

.chooser_headers img {
    cursor: pointer;
}

/* .chooser .search_item {
  padding-left: 0;
} */

.search_header + .selector.loaded {
    height: 226px;
    overflow: auto;
}

.content-chooser:not:has(.search_header) {
    height: 276px;
    overflow: auto;
}

.chooser .object_link,
.chooser .search_item,
.calendar-field,
.object_link {
    color: var(--text-color-80);
}

canvas {
    max-height: calc(100vh - 250px) !important;
    max-width: calc(100vw - 100px) !important;
}

.issue-view__content-wrapper {
    height: calc(100vh - 257px);
    width: 100%;
    display: flex;
    flex-grow: 1;
    position: relative;
}

.issue-comments__content .comment {
    position: relative;
    display: flex;
    padding: 8px;
    flex-direction: column;
    align-items: flex-end;
    border-radius: 4px;
    background: var(--base-grey-20);
    /* background: var(--base-blue-40, #f1f8ff); */
    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.20);
    width: max-content !important;
    min-width: min-content;
    max-width: 100%;
    gap: 4px;
}

.issue-comments__content .comment.my_message {
    background: var(--base-blue-40, #f1f8ff);
    align-self: flex-end;
}

.comment .message_date {
    color: var(--text-color-20, #c9ccd2);
    font-size: 12px;
    font-weight: 400;
    line-height: calc(4 / 3);
    order: 1;
}

.comment .search_item.author {
    color: transparent;
    font-size: 1px;
    background-color: transparent;
    width: 0;
    height: 0;
    padding: 0px;
}

.comment .search_item.author > img {
    @rule flex-center-text;
    box-sizing: border-box;
    position: absolute;
    left: -40px;
    bottom: 4px;
    border-radius: 2px;
    border: 0.4px solid var(--base-grey-100);
    background: var(--bg-white);

    width: var(--default-icon-size) !important;
    height: var(--default-icon-size) !important;
    padding: 2px;

}

.comment.my_message .search_item.author > img {
    left: calc(100% + 12px);
}

.comment .comment_body {
    order: 0;
    align-self: stretch;
    color: var(--text-color-100, #031332);
    font-size: var(--font-text-size);
    font-weight: var(--default-unbold-weight);
    line-height: calc(5 / 4);
}

.remote-chooser .tab_pane_title {
    flex-grow: 1;
    height: 28px;
}

.stages__modal {
    width: 70%;
    height: 90%;
    position: relative;
}

.stages-close{
  top: 5px;
  right: 5px;
}

.stages__line {
    width: 100%;
    height: 5px;
    border-top: 5px dashed blue;
    align-self: center;
    position: relative;
}

.stages__red-line {
    width: 100%;
    height: 5px;
    border-top: 5px dashed rgb(250, 8, 0);
    align-self: center;
    position: relative;
}

.stages__red-line-top {
    width: 5px;
    height: 5px;
    border-left: 5px dashed rgb(250, 8, 0);
    align-self: center;
    position: relative;
}

.stages__red-arrow {
    width: 5px;
    border-left: 5px dashed rgb(250, 8, 0);
    align-self: center;
    position: relative;
}

.stages__red-arrow::after {
    background-color: white;
    content: "";
    position: absolute;
    bottom: -9.5px;
    right: -5px;
    transform: rotate(180deg);
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 15px solid #ff0000;
}

.stages__line::after {
    background-color: white;
    content: "";
    position: absolute;
    top: -9.5px;
    right: -1px;
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    transform: rotate(90deg);
    border-bottom: 15px solid #24375b;
}

.stages__arrow {
    border-left: 5px dashed gray;
    width: 5px;
    position: relative;
}

.stages__arrow::after {
    background: white;
    content: '';
    position: absolute;
    top: 0px;
    right: -5px;
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 15px solid #24375b;
}

.stages__arrow-gorizont {
    border-top: 5px dashed rgb(184, 12, 12);
    width: 5px;
    position: relative;
    height: 5px;
}

.stages__arrow-gorizont::after {
    background: white;
    content: "";
    position: absolute;
    top: -10px;
    left: -1.5px;
    transform: rotate(270deg);
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 15px solid rgb(184, 12, 12);;
}

.rotated_180 {
    transform: rotate(180deg);
}

.stages__line-up {
    width: 5px;
    height: 100px;
    border-left: 5px dashed blue;
    margin: 15px 0px;
}

.stages__row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.stages__item {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    padding: 3px 0px;
    width: 120px;
    height: 60px;
    gap: 10px;
}

.stages__arrow-gorizont-right {
    border-top: 5px dashed rgb(3, 207, 47);
    width: 5px;
    position: relative;
    height: 5px;
}

.stages__arrow-gorizont-right::after {
    background: white;
    content: "";
    position: absolute;
    top: -10px;
    right: -1.5px;
    transform: rotate(90deg);
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 15px solid rgb(32, 184, 12);
}

.stages__line-back {
    height: 5px;
    border-top: 5px dashed red;
    position: absolute;
}

.stages__line-back::after {
    background: white;
    content: "";
    position: absolute;
    top: -10px;
    right: -1.5px;
    transform: rotate(90deg);
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 15px solid rgb(223, 3, 3);
}

.issue__main-info .issue__text-row-info:has(.status_name) {
    padding-left: 12px;
}

.issue__text-row-info#description .search_item {
    align-items: flex-start;
    flex-direction: column;
    max-width: 100%;
}

.issue__text-row-info#description .search_item figure {
    margin: 0;
}

.issue__text-row-info#description .search_item img {
    width: 48px !important;
    height: 48px !important;
    border: 1px solid var(--base-grey-40);
    border-radius: 2px;
}

.issue__text-row-info.related-list .issue-to-issue__container .issue-to-issue__row {
    width: 100%;
    align-items: center;
    gap: 8px;
}

.issue__text-row-info.related-list .issue-to-issue__container .issue-to-issue__row .issue-to-issue__issue.issue-to-issue__parent,
.issue__text-row-info.related-list .issue-to-issue__container .issue-to-issue__row .issue-to-issue__issue.issue-to-issue__linked {
    display: flex;
    align-items: center;
    gap: 4px;
    width: calc((100% - 16px) / 3);
}

.issue__text-row-info.related-list .issue-to-issue__container .issue-to-issue__row .issue-to-issue__type {
    width: calc((100% - 16px) / 3);
}

.issue__text-row-info.related-list .issue-to-issue__container .issue-to-issue__row .issue-to-issue__issue.issue-to-issue__parent img {
    width: 20px;
    height: 20px;
}

.issue__text-row-info.related-list {
    flex-direction: column-reverse;
}

.issue__text-row-info.related-list .issue-to-issue__container {
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 4px;
}

.issue__text-row-info.related-list .issue-to-issue__add {
    color: var(--primary-color);
}

.issue-view__file .attach-list__wrapper {
    width: 100px !important;
    height: 100px !important;
}

tr.tr.data_row:first-child:hover {
    background: white;
}

.stages__way-arrow {
    background: url("--root/images/stages-arrow.svg");
    background-repeat: no-repeat;
    background-size: 100% 100%;
}

.issue-person {
    display: flex;
    width: 44px;
    height: 44px;
    margin-left: 4px;
}

.team_in_group .td.data_cell {
    width: fit-content;
}

.prev_btn_chooser, .next_btn_chooser {
    cursor: pointer;
}

#status {
    padding: var(--default-text-padding);
}

.no_repeat_box {
    margin-left: 30px;
    display: flex;
    align-items: center;
    gap: 8px;
}

.no_repeat_box label {
    display: flex;
    align-items: center;
    color: var(--text-color-80);
}

.wrap_preview_div .search_item {
    padding: 0;
    margin-top: -8px;
}

#description .search_item {
    align-items: flex-start;
}

.issue__side-menu #tab_panel_header .tabs_panel-content {
    height: calc(100vh - 375px);
}

.canvas__wrapper.droppable {
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

.canvas__wrapper.droppable canvas {
    max-width: calc(100vw - 192px) !important;
    max-height: calc(100vh - 224px) !important;
}

div.tab_title span.tab_title {
    height: 20px;
    text-wrap: nowrap;
    width: fit-content;
}

.flex-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.notify__icon {
    margin-right: 8px;
}

.notify__left {
    justify-content: flex-start !important;
    width: 30%;
}

.notify__left > .notify__icon {
    @rule flex-center-text;
}

.notify__item .notify__name {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 27%;
    font-size: var(--font-text-size);
}

.search_form .date-row .calendar__wrapper, .search_form .criteria_element .input_chooser {
    width: 256px;
    height: 38px;
}

.criteria_element .input_chooser:has(.inner_selector) {
    position: relative;
    padding: 4px 40px 4px 12px;
    align-items: center;
    display: flex;
    min-width: 256px;
    width: fit-content;
    max-width: 100%;
    min-height: 38px;
    height: fit-content;
}

.tag_value_container {
    display: flex;
    align-items: center;
    gap: 8px;
}

.tag_value_container .input_chooser .inner_selector .container {
    display: flex;
    height: 28px;
    max-width: 240px;
    padding: 4px 8px;
    align-items: center;
    gap: 8px;
    border-radius: 4px;
    border: 1px solid var(--base-grey-100, #C7C7C7);
    background: var(--bg-white, #FFF);
    text-overflow: ellipsis;
    text-wrap: nowrap;
    overflow: hidden;
}

.tag_value_container .input_chooser .inner_selector .container .value_span {
    padding: 0;
}

.tag_value_container .input_chooser .inner_selector .container .value_span a {
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    color: var(--text-color-80);
    max-width: 180px;
    text-overflow: ellipsis;
    overflow: hidden;
    text-wrap: nowrap;
}

.tag_value_container .input_chooser .inner_selector {
    display: flex;
    align-items: center;
    gap: 8px;
}

.tag_value_container .input_chooser .inner_selector > .div_image, .tag_value_container .input_chooser .inner_selector .magic_object_chooser_content > img {
    display: none !important;
}

.comment__notify {
    padding-right: 3px;
}

.comment__notify > .comment__notify {
    padding-left: 3px;
}

.data_cell .value_span {
    padding-left: 12px;
}

.issue__text-row-info .search_item {
    padding: 0;
}

.issue__text-row-info .wrap_preview_div {
    padding: 4px 0;
    min-width: auto;
    flex-wrap: nowrap;
}

#page_title, .issue__main-info-attachment .issue__text-row-info, #related_tasks, #description {
    height: fit-content;
}

.comment::before {
    position: absolute;
    content: "";
    width: 8px;
    height: 15px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 8px 15px;
    background-image: url("--root/images/not-my-mess.svg");
    bottom: 0;
    left: -8px;
}

.comment.my_message::before {
    position: absolute;
    content: "";
    width: 8px;
    height: 15px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 8px 15px;
    background-image: url("--root/images/my-mess.svg");
    bottom: 0;
    right: -8px;
    left: 100% !important;
}

/* .issue__side-menu {
    width: fit-content;
} */

.menu-side-wrapper:has(.vertical_menu.open-menu) + .page-content-wrapper.issue .issue__side-menu {
    width: 38%;
}

.menu-side-wrapper:has(.vertical_menu.open-menu) + .page-content-wrapper.issue .issue__info {
    width: 62%;
}

@media (max-width: 1280.02px) {
    .menu-side-wrapper:has(.vertical_menu.open-menu) + .page-content-wrapper.issue .issue__side-menu {
        width: 30%;
    }
    
    .menu-side-wrapper:has(.vertical_menu.open-menu) + .page-content-wrapper.issue .issue__info {
        width: 70%;
    }
}

.connection__modal .tabs_panel {
    width: 100% !important;
}

.connection__modal .tabs_panel-content {
    height: fit-content !important;
}

.desc-wrapper p {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    word-break: break-word;
}

.comment__notify > img {
    display: inline-block;
    width: var(--default-icon-small-size);
    height: var(--default-icon-small-size);
}

.issue__text-row-info .status_field {
    transform: translate(-30px, 0px);
    margin: 0;
}

/* .issue__text-row-info .status_field > img {
    display: none;
} */

/* .value_status_span::after {
  content: '>';
  width: 16px;
  height: 16px;
  font-size: 16px;
  font-weight: 500;
  color: inherit;
  font-family: Inter, sans-serif;
  transform: rotate(90deg);
  padding-bottom: 8px;
} */

.issue-history__performer .search_item {
    padding: 0;
    align-items: flex-start;
}

.issue-history__performer .search_item > img {
    width: var(--default-icon-size) !important;
    height: var(--default-icon-size) px !important;
    padding: 2px;
    border-radius: var(--default-border-radius);
    border: 0.4px solid var(--base-grey-100);
    background: var(--bg-white);
}

.chooser .value_span {
    font-weight: var(--default-unbold-weight);
}

.remote_selection a:has(.select_item) {
    color: var(--text-color-40, #979eaa);
    font-size: 16px;
    padding: 8px 0px;
}

.remote_selection .search_item {
    padding: 8px 0px;
    color: var(--text-color-80, #34415a);
}

.modal.template_list_wrapp {
    position: fixed;
    @rule top-left;

    @rule flex-center-text;

    @rule full-size;
    z-index: 999999;
    background: rgba(3, 19, 50, 0.3);
}

.ordering_form .header_row {
    padding: 0;
    display: flex;
}

.ordering_form .header_row label {
    width: 100%;
    height: 36px;
    display: flex;
    align-items: center;
    padding: 0 12px;
    cursor: pointer;
}

.ordering_form .header_row:hover {
    background-color: var(--base-blue-40, #f1f8ff);
    color: var(--primary-80, #3f8bf8);
}

.ordering_form .header_row label:active {
    color: var(--additionally-100, #033fb4);
}

.header_row:hover span {
    padding-left: 28px;
    background: url("--root/images/sixVertical.svg") left no-repeat;
}

.board, #wrapper_for_automatization {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    margin-top: 24px;
}

.saved-attachments__images {
    @rule flex--center-text;
    flex-wrap: wrap;
    gap: var(--default-gap);

    flex: 1 0 auto;
}

.saved-attachments__content {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.saved-attachments__img {
    width: 64px;
    height: 64px;
}

.calendar {
    max-width: 1016px;
    display: flow-root;
}

.w-calendar input {
    max-width: 300px;
}

body {
    margin: 0;
    font-family: var(--font-family);
    background-color: #ffffff;
}

.page_title {
    width: 247px;
    height: 26px;
    left: 32px;
    top: 88px;
    font-weight: 500;
    font-size: var(--header-font-size);
    line-height: 26px;
    letter-spacing: -0.02em;
    color: var(--text-color-90);
    padding-bottom: 26px;
}

.time_input {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 168px;
    height: 32px;
    background: #ffffff;
    border: 1px solid #cacacb;
    border-radius: 4px;
    font-size: 18px;
    line-height: 18px;
    color: var(--text-color-90);
}

.no_border_button {
    border: none;
    cursor: pointer;
    background: #f6f6f6;
    align-items: center;
    padding: 4px 12px;
    width: auto;
    height: 32px;
    font-weight: 500;
    font-size: 14px;
    line-height: 18px;
    display: inline-block;
    text-align: center;
    letter-spacing: -0.02em;
    color: #b9b9ba;
}

.no_border_button:hover {
    color: var(--text-color-90);
}

.calendar_save_button {
    display: inline;
    cursor: pointer;
    float: right;
    align-items: center;
    padding: 4px 12px;
    width: 142px;
    height: 32px;
    background: #008f86;
    border-radius: 4px;
    border: none;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 18px;
    text-align: center;
    letter-spacing: -0.02em;
    color: #ffffff;
}

.weekday {
    display: inline-block;
    width: 140px;
    text-indent: 8px;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: -0.02em;
    color: #848485;
}

.disabled {
    background: #566473 !important;
    width: 30px;
    height: 30px;
    display: inline-block;
    border: 1px solid gray;
}

.working_day {
    border-color: white;
}

.pre_weekend .hours {
    background-color: #00ada2;
}

.inline {
    float: left;
    width: 144px;
    height: 80px;
    position: relative;
}

.hours {
    text-align: center;
    border-radius: 24px;
    background-color: #008f86;
    width: 104px;
    height: 20px;
    position: relative;
    left: 20px;
    top: 20px;
    font-size: 12px;
    line-height: 22px;
    background-image: url("--root/images/checkmark.png");
    background-repeat: no-repeat;
    background-size: var(--default-icon-small-size) var(--default-icon-small-size);
    background-position-x: 2px;
    background-position-y: 2px;
    color: white;
}

.day {
    position: relative;
    left: 8px;
    top: 4px;
    width: 16px;
    font-size: 16px;
    font-weight: bold;
    color: #cacacf;
}

.holiday_button {
    text-align: center;

    position: relative;
    bottom: 2px;
    left: 16px;
    width: 10px;
    height: 10px;
    font-size: 10px;
    cursor: pointer;
}

.working_day_button {
    text-align: center;

    position: relative;
    bottom: 2px;
    left: 116px;
    top: -32px;
    width: 20px;
    height: 20px;
    font-size: 10px;
    cursor: pointer;
    filter: invert(0.8);
}

.working_day_button:hover {
    filter: invert(0.3);
}

.weekend img {
    filter: invert(0.5);
}

.day_container {
    border-bottom: 1px solid #cacacb;
    border-right: 1px solid #cacacb;
}

.unmodifiable .hours,
.weekend .hours {
    background: none;
}

.weekend .day {
    color: #ff8e8e;
}

.total {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: -0.02em;
    color: #848485;
    padding-top: 16px;
}

.calendar_checkbox {
    width: 16px;
    height: 16px;
    background: #ffffff;
    border: 1px solid #cacacb;
    border-radius: 2px;
    position: relative;
    top: 2px;
}

.calendar_checkbox:hover {
    border: 1px solid #008f86;
}

.calendar_checkbox_txt {
    font-style: normal;
    font-weight: var(--default-unbold-weight);
    font-size: 14px;
    line-height: 32px;
    letter-spacing: -0.02em;
    color: var(--text-color-90);
}

.wc__header {
    width: 1012px;
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}

.wc__weekdays {
    display: flex;
    justify-content: space-between;
    width: 1010px;
    height: 18px;
    border-bottom: 1px solid #E5E5E5;
    padding-bottom: 8px;
}

.wc__calendar {
    display: flow-root;
    max-width: 1016px;
}

.td.data_cell .image_in_details {
    width: var(--default-icon-small-size) !important;
    height: var(--default-icon-small-size) !important;
}

.git-projects__project {
    display: flex;
    justify-content: space-around;
    margin-bottom: 100px;
    border-bottom: 1px solid black;
}

.issue__text-row-info .search_item img {
    width: 20px !important;
    height: 20px !important;
}

.context-menu__actions-holder{
    display: block; 
    background-image: url("--root/images/next-gray.svg");
    background-size: var(--default-icon-background-small-size) !important;
    width: var(--default-icon-small-size) !important;
    height: var(--default-icon-small-size) !important;
    margin-left: auto;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    right: 16px;
}

.context-menu__item-wrapper:hover .context-menu__actions-holder {
    background-image: url("--root/images/next-hover.svg");
}

.context-menu__item-wrapper:active .context-menu__actions-holder {
    background-image: url("--root/images/next-active-context.svg");
}

.context-menu__holder-open .context-menu__actions-holder{
    transform: scale(-1 ,-1);
}

.select:has(.select__header) {
  width: fit-content;
}

.select__body > .select__item:first-child {
  border-radius: var(--default-border-radius) var(--default-border-radius) 0 0;
}

.select__body > .select__item:last-child {
  border-radius: 0 0 var(--default-border-radius) var(--default-border-radius);
}

.users_name, .project_name {
  width: 150px;
  padding-bottom: 8px;
}

.group-type__close{
  right: 32px;
  top: 32px;
}

.selected__group {
  background-color: rgb(196, 208, 224);
  background: var(--base-blue-40, #f1f8ff) url("--root/images/selected-item.svg") left no-repeat;
}

#sub-groups-menu .selected__group .title_menu-item {
  color: var(--primary-color);
}

#sub-groups-menu .menu-item:hover .title_menu-item, .menu-item:hover .menu-item-text {
  color: var(--primary-80);
}

#sub-groups-menu .menu-item:active .title_menu-item, .menu-item:active .menu-item-text {
  color: var(--additionally-100);
}

.page-content-wrapper.issue {
  border: none;
  border-radius: 0;
}

.removed__issue {
    color: var(--additionally-100); ;
  }

  .modal_prompt .value_span a {
    color: inherit;
  }

  .tag .value_span > a {
    color: var(--text-color-80, #34415A);
    font-weight: 400;
  }

  #group_type {
    margin-right: 8px;
  }

  .invitation__row label {
    font-weight: var(--default-bolder-weight);
    color: var(--text-color-80, #34415a);
    font-size: var(--default-text-size);
    line-height: 1.25;
    font-family: var(--font-family);
  }

  .invitation__input {
    height: 36px;
    background: white;
    flex-shrink: 1;
    width: 400px;
  }

  .invitation__row .chooser__wrapper {
    height: 36px;
    padding: 8px 12px;
    border-radius: 4px;
    border: 1px solid var(--base-grey-100, #c7c7c7);
    background-color: var(--bg-light-color);
    color: var(--text-color-40, #34415A);
    font-family: var(--font-family);
    font-size: var(--font-text-size);
    font-weight: var(--default-unbold-weight);
    line-height: var(--default-line-height);
    width: 400px;
    display: flex;
  }

  @media (max-width: 1024.02px) {
    .invitation__row .chooser__wrapper, .invitation__input {
        width: 312px;
      }
    }

  .invitation__row .chooser__wrapper a {
    text-decoration: none;
    color: inherit;
  }

  .invit-btns__row {
    justify-content: flex-end;
    gap: 10px;
  }

  .board-tab___status_span {
    display: flex;
    align-items: center;
    padding: 4px 12px;
    border-radius: 4px;
    gap: 8px;
    font-size: 16px;
    font-weight: 400;
    width: fit-content;
  }

  .connection__wrapper {
    display: flex;
    align-content: center;
    gap: 8px;
    flex-wrap: wrap;
  }

  .issue_type {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
  }

  .tabs_copmponent_all {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
  }

  .connection__modal .quick_search {
    flex: 0 0 180px;
  }

  .create-btn__modal .menu-item.modal-item:first-child {
    padding-top: 12px !important;
}

.change-pass .invitation__row label {
    min-width: 200px;
}

.wrapper.change-pass > div {
    display: flex;
    flex-direction: column;
    gap: 16px;
    flex-grow: 1;
}

.wrapper.change-pass > div .form_wrapper.tabs_copmponent_div {
    flex-grow: 1;
}

.change-pass > div > input {
    align-self: end;
}

#chooser_place a.work_log_calendar {
    border: none;
}

#main-info {
    background-color: var(--bg-white) !important;
    border-radius: var(--default-border-radius);
    padding: 24px !important;
    border: 1px solid var(--base-grey-40);
    box-shadow: var(--box-shadow);
}

.main-info__wrapper .main-info__message {
    color: var(--text-color-80) !important;
}

.modal-window {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 9999;
    background-color: rgba(3, 19, 50, 0.3) !important;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .modal-content {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 24px;
    background: #ffffff;
    box-sizing: border-box;
    border-radius: 4px;
    border: 1px solid var(--base-grey-40, #e8e8e8);
    box-shadow: 0px 8px 16px 0px rgba(3, 19, 50, 0.1);
    padding: 32px;
    width: fit-content;
  }

  .modal-content:has(> .connection_title) {
    width: 600px;
  }

  @media (max-width: 1024.02px) {
    .modal-content:has(> .connection_title) {
        width: 400px;
      }
    }

  .close-modal-button{
    place-self: flex-end;
    right: 10px;
    top: 10px;
    cursor: pointer;
    z-index: 9999 !important;
    position: absolute;
    height: 24px;
    width: 24px;
    background-size: var(--default-icon-background-middle-size);
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    background-image: url(http://localhost/ROOT/themes/white//images/close.svg) !important;
  }

  .modal-content:has(> .connection_title) .close-modal-button{
    top: 32px;
    right: 32px;
  }

  .issue__text-row-info.related-list .issue-to-issue__container:empty {
    display: none;
}

.work_time_window .description_div > textarea {
    min-width: 350px !important;
    width: 350px !important;
    max-width: 350px !important;
    margin-left: auto;
    flex-shrink: 0;
    height: 36px;
    display: flex;
    align-items: center;
}

@media (max-width: 1024.02px) {
    .work_time_window .description_div > textarea {
        min-width: 312px !important;
        width: 312px !important;
        max-width: 312px !important;
      }
}

.full_img img {
    cursor: grab;
    }

.issue__info:has(+ .issue__side-menu:has(.close_panel))  {
    width: calc(100% - 48px);
}

.issue__side-menu .table_config .quick_search {
    flex-basis: 220px !important;
}

#wrapper_for_automatization .edit__content-column {
    box-shadow: var(--modal-shadow);
    border: 0;
}

.issue__info-column {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.issue__main-info-content {
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 8px;
    max-height: calc(100% - 36px);
    overflow-y: auto;
}

.issue__text-row-info.description-content {
    padding: 0;
    width: 100%;
    margin: 0;
    overflow-y: auto;
    align-items: flex-start;
}

.issue-view__header .tree_box .new_item {
    display: flex;
}

.issue-view__header .tree_box .new_item#_1_2,
.issue-view__header .tree_box .new_item#_1_2_3, 
.issue-view__header .tree_box .new_item#_1_2_3_4, 
.issue-view__header .tree_box .new_item#_1_2_3_4_5 {
    padding-left: 0px !important;
}

.invitation__inputtitle  {
    color: var(--text-color-80, #34415a);
}